Subject: Re: [PATCH] gnu: r-posterior: update to 1.6.1.

From: Andreas Enge <[email-masked]>
Date: Tue, 29 Apr 2025 18:53:09 +0200

Hello Tor-björn,
(and cc to our R specialist),

thanks for your patches!

Unfortunately mixing different patches in this way confuses QA.
Could you please follow the description in
   https://guix.gnu.org/manual/devel/en/html_node/Submitting-Patches.html
for future patches?

Unrelated changes (like r-posterior and r-cardx) should be sent to
separate issues, and related changes can be grouped into one issue,
but then they should be sent using "git send-email", which will
create one mail per patch and send it to the same address.
When sending a new version of a patch or a series, make sure to use the
"-v2", "-v3", ... flags to "git send-email".

In this case, QA has only built one package, r-cardx:
   https://qa.guix.gnu.org/issue/78105
I suppose it has applied only the last patch, which is confirmed
following the "View Git branch" or "View series on Patchwork" link
on the previous page.

So apparently r-cardx is a leaf package and can be updated independently
of all the other packages. Hm, it depends on r-posterior, which fails to
build, so maybe this is a series after all :)  Strangely QA seems to
have built it, but locally it fails.

Concerning r-posterior, I tried to build its immediate dependencies
using the command
   ./pre-inst-env guix build -P 1 r-posterior
after applying your first patch (I would recommend to do so whenever you
submit patches, and to mention this in your cover letter), but this
results in a failure:
...
build of /gnu/store/cbh0lsf80gkv8g1y0zlrx5j0dmrm7lzs-r-delayedmatrixstats-1.28.1.drv failed
View build log at '/var/log/guix/drvs/cb/h0lsf80gkv8g1y0zlrx5j0dmrm7lzs-r-delayedmatrixstats-1.28.1.drv.gz'.
cannot build derivation `/gnu/store/41ffhwrdk1x692wzgbcsv2wiqb5k5icp-r-scran-1.34.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/3bbi85p6nd2d7n8hfm0z0fbxq7fmj9cs-r-scuttle-1.16.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/isy948jcij3d4ri4v5ynvdbkdhv7xpib-r-basics-2.18.0.drv': 1 dependencies couldn't be built
guix build: error: build of `/gnu/store/isy948jcij3d4ri4v5ynvdbkdhv7xpib-r-basics-2.18.0.drv' failed

So for now, I am not going to apply any of your patches; if you could
investigate further, this would be useful.

Please keep me in cc when you send updated patches (as a "-v2"), since
our current issue tracker does not keep people updated.

Thanks!

Andreas